from multiprocessing import Queue

from dto.DanmakuJobItem import DanmakuJobItem
from dto.EncodeJobItem import EncodeJobItem
from dto.SplitJobItem import SplitJobItem
from dto.TypeJobResult import TypeJobResult
from entity.WorkflowItem import WorkflowItem

JOB_EVENT_QUEUE: "Queue[TypeJobResult]" = Queue()
JOB_QUEUE: "Queue[WorkflowItem]" = Queue()
DANMAKU_PROCESSING_QUEUE: "Queue[DanmakuJobItem]" = Queue()
VIDEO_ENCODING_QUEUE: "Queue[EncodeJobItem]" = Queue()
VIDEO_SPLITING_QUEUE: "Queue[SplitJobItem]" = Queue()
